/*******************************************************************************

  FunplotDef

  Defines to be used for the Funplot Programming Environment

  $Name: Funplot_v10 $
  $Revision: 1.6 $
  $Date: 2006/03/02 20:09:06 $

  Copyright (C) 1998-2006 Domenico Reggio, Software-Engineering

*******************************************************************************/

#ifndef FUNPLOTDEF_H
#define FUNPLOTDEF_H


#include <windows.h>

// Show Modes
#define HIDE            100
#define SHOW            101
#define SHOW_BEGIN_END  102
#define SHOW_HALF       103
#define SHOW_XAXIS      104
#define SHOW_YAXIS      105
#define SHOW_UPRIGHT    106
#define SHOW_DOWNRIGHT  107
#define SHOW_UPLEFT     108
#define SHOW_DOWNLEFT   109
#define SHOW_OUTRIGHT   110

// Show equal Axes
#define AXES_EQUAL   200
#define AXES_SCALED  201

// Zoom Mode
#define ZOOM_XY    301
#define ZOOM_X     302
#define ZOOM_Y     303
#define ZOOM_XARY  304
#define ZOOM_YARX  305
#define ZOOM_XKR   306

// File Read Mode
#define XYY    601
#define XYXY   602
#define XYAXYA 603
#define XYAYA  604
#define YY     605

// Graph Types
#define LINES   801
#define STAIRS  802
#define BARS    803
#define STEMS   804

// Marker Types
#define NOMARKER       900
#define TRIANGLE       901
#define SQUARE         902
#define DIAMOND        903
#define CIRCLE         904
#define STAR           905
#define CROSS          906
#define PLUS           907
#define TRIANGLE_DOWN  908
#define TRIANGLE_RIGHT 909
#define TRIANGLE_LEFT  910
#define POINT          911

// Color Set
#define MIXED_COLORS_II  1101
#define MIXED_COLORS_I   1102
#define GRAY_SCALE       1103
#define RED_SCALE        1104
#define GREEN_SCALE      1105
#define BLUE_SCALE       1106
#define HEAT_SCALE       1107
#define BLACK_ONLY       1108

// Color Schemes
#define LIGHT  1201
#define DARK   1202
#define PAPER  1203
#define SCOPE  1204
#define FANCY  1205

// SIZES
#define NUMGRAPHTYPES         4
#define NUMMARKERTYPES       11
#define NUMCYCLICMARKERTYPES  6

// File handling
#define NO_REQUEST    1
#define NO_USER_FILE  1

#define ADD            2
#define OPEN           4
#define SAVE           8

#define DATA_FILE     16
#define PLOT_FILE     32
#define SESSION_FILE  64

// for Print and Copy
#define COLORED     1300
#define BLACK_WHITE 1301

// User messages
#define NO_BREAK 1401
#define BREAK    1402
#define QUIT     1403

// Line Styles
#define SOLID      (PS_SOLID+7000)
#define DOT        (PS_DOT+7000)
#define DASH       (PS_DASH+7000)
#define DASHDOT    (PS_DASHDOT+7000)

// Colors
#define RED         RGB( 255,   0,   0)
#define GREEN       RGB(   0, 255,   0)
#define BLUE        RGB(   0,   0, 255)
#define DARKRED     RGB( 192,   0,   0)
#define DARKGREEN   RGB(   0, 192,   0)
#define DARKBLUE    RGB(   0,   0, 192)
#define LIGHTRED    RGB( 255,  96,  96)
#define LIGHTGREEN  RGB(  96, 255,  96)
#define LIGHTBLUE   RGB(  96,  96, 255)
#define YELLOW      RGB( 255, 255,   0)
#define MAGENTA     RGB( 255,   0, 255)
#define CYAN        RGB(   0, 255, 255)
#define BLACK       RGB(   0,   0,   0)
#define DARKGRAY    RGB(  64,  64,  64)
#define GRAY        RGB( 128, 128, 128)
#define LIGHTGRAY   RGB( 208, 208, 208)
#define WHITE       RGB( 255, 255, 255)


#endif
